Updating to latest version of 2.8

More
08 Jun 2019 00:53 #136263 by Project_Hopeless
Ok using Synaptic I some how upgraded to v2.9 !!!

Should I and how do I roll back to 2.8?

Please Log in or Create an account to join the conversation.

More
08 Jun 2019 01:44 #136273 by Todd Zuercher
With the releasing of 2.8, Master, has progressed to 2.9-pre. Check your repos it is for Master, not 2.8. If you change your repos to reference the new 2.8 you, should be able to then use Synaptic to force versions back to 2.8.

Please Log in or Create an account to join the conversation.

More
08 Jun 2019 09:26 #136289 by rodw
I would not be too concerned. Just run with V2.9.

Whats happened is that V2.8 development is frozen and its has been hived off in preparation for it to become the release version instead of V 2.7. The devs can no do final testing and bug fixes and build all the extra stuff for the website and the like pending the release.

Please Log in or Create an account to join the conversation.

More
08 Jun 2019 12:56 #136291 by pl7i92

Please Log in or Create an account to join the conversation.

More
09 Jun 2019 16:46 #136387 by Project_Hopeless

pl7i92 wrote: you may get a look here
gnipsel.com/linuxcnc/uspace/index.html

Yes that was much better, a fresh install. After all the messing around I've done I'm sure other things got jacked.

Still loaded 2.9 pre. though No problem I'll run with it for now,

Please Log in or Create an account to join the conversation.

More
09 Jun 2019 17:30 #136392 by BigJohnT
Now you have reverse run!

If you build and install LinuxCNC using my instructions you just need to checkout the version you want before building... I need to update my instructions.

JT

Please Log in or Create an account to join the conversation.

More
10 Jun 2019 23:52 #136519 by mac44mag
So, any time estimate on v2.8 going live? I'm in the process of setting up a CNC router and trying to decide whether or not to wait for 2.8.

Thanks!

Leonard

Please Log in or Create an account to join the conversation.

More
11 Jun 2019 00:50 #136523 by Todd Zuercher
I would guess 1-3 weeks. If you plan to use 2.8 though, I would not bother with a 2.7 install. The differences in the config are significant. However I don't think you have to force yourself to wait for the official announcement, you can install it now from buildbot.

Please Log in or Create an account to join the conversation.

More
11 Jun 2019 12:48 - 11 Jun 2019 12:53 #136595 by mac44mag
Thanks for the reply, Todd! If the release date is that close and the Beta's been locked down, the buildbot is the way to go. I'll do that.

I'll be using a Mesa 5i25 into a Gecko G540. Is the Preempt-RT kernel included in the Stretch Master branch distro? I'm sure that I'll have other questions as well..

Thank you, again, for the help!

Leonard
Last edit: 11 Jun 2019 12:53 by mac44mag. Reason: Expanded question

Please Log in or Create an account to join the conversation.

More
11 Jun 2019 13:01 #136597 by Todd Zuercher
Yes, the Stretch iso comes with Preemt-RT. But you will have to change the repository to point to 2.8.

Please Log in or Create an account to join the conversation.

Time to create page: 0.125 seconds
Powered by Kunena Forum